retext (7.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update debian/copyright.
  * Update to debhelper compat level 13.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Update the retext(1) manual page.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 Feb 2021 21:07:14 +0300

retext (7.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dmitry Shachnev ]
  * Update my OpenPGP key in debian/upstream/signing-key.asc.
  * New upstream release.
  * Ship our own /usr/bin/retext launcher, the generated entry point does
    not work when everything is installed into /usr/share/retext.
  * Add ReText.egg-info/SOURCES.txt to debian/clean.
  * Update debian/copyright.
  * Bump python3-markdown build-dependency to 3.0.
  * Specify Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add an autopkgtest.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Apr 2020 21:13:29 +0300

retext (7.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Sep 2018 12:17:06 +0300

retext (7.0.3-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fixes bugs with posmap extension breaking code blocks, emoji support,
      and disappearing lines when opening files.
    - Window geometry is restored for maximized windows too (LP: #1710357).
  * Add python3-{chardet,pygments,setuptools} build-dependencies.
  * Drop debian/retext.install, no longer needed.
  * Bump debhelper compatibility level to 11.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Jun 2018 16:57:28 +0300

retext (7.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash in XSettings code (closes: #863640).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compatibility level to 10.
  * Update debian/copyright.
  * Export LC_ALL=C.UTF-8 when running dh_auto_test and dh_auto_install.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Jun 2017 20:36:22 +0300

retext (6.0.2-2) unstable; urgency=medium

  * Do not remove testdata directory during clean.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Oct 2016 23:51:39 +0300

retext (6.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Revert the tests hack from 6.0.1-1 that is no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Oct 2016 20:24:10 +0300

retext (6.0.1-2) unstable; urgency=medium

  * Add missing dependencies on python3-docutils and python3-markdown
    needed for the testsuite.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jul 2016 19:10:10 +0300

retext (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-markups dependency to 2.0.
  * Suggest packages that are needed for GSettings icon theme resolver.
    These packages are needed only for desktop environments that do not
    support XSettings and do not have their own icon theme selection
    mechanism (closes: #793934).
  * Update the retext.1 manual page.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Update debian/copyright.
  * Run the tests in Xvfb, build-depend on xauth and xvfb.
  * Create the test files before running the tests. (This is only needed
    before the next release where these files will be in the tarball.)

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jul 2016 08:05:07 +0300

retext (5.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop fix_enchant_crash.diff, applied upstream.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2016 23:36:48 +0200

retext (5.3.0-2) unstable; urgency=medium

  * Backport upstream patch to fix Enchant-related crash (closes: #812149).
  * Use HTTPS in Vcs-Browser field.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Feb 2016 11:42:36 +0300

retext (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to pybuild buildsystem.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Dec 2015 18:53:47 +0300

retext (5.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash in xsettings code on 32-bit systems (closes: #800487).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Oct 2015 14:34:24 +0300

retext (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL, following upstream move to GitHub.
  * Install upstream desktop and appdata files.
  * Update retext.1 man page.
  * Use HTTPS in debian/watch.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Sep 2015 14:56:01 +0300

retext (5.1.0-1) unstable; urgency=medium

  * New upstream release.
    - A help button for Markdown extensions is added (LP: #1432800).
  * Stop installing wpgen, following its removal upstream.
  * Update debian/copyright.
  * Install configuration.md as documentation file.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2015 16:27:21 +0300

retext (5.0.2-1) unstable; urgency=medium

  * New upstream bugfix and security release.
  * Drop retext-wpgen transitional package, no longer needed.
  * Properly clean up after running tests.
  * Make PNGs generation reproducible (thanks Chris Lamb for the patch,
    closes: #778972).
  * Update debian/watch to use pypi.debian.net redirector.
  * Add my key to debian/upstream/signing-key.asc and make uscan verify
    the signature.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Apr 2015 21:44:37 +0300

retext (5.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Recommend both python3-markdown and python3-docutils.
  * Update my e-mail address.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 Oct 2014 14:56:14 +0300

retext (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Run upstream tests during build.
  * Wrap-and-sort debian/control.
  * Update debian/watch to point to PyPI.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 12:38:59 +0400

retext (4.1.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Should no longer have python3.3 depends (closes: #751572).

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 14 Jun 2014 19:22:20 +0400

retext (4.1.2-2) unstable; urgency=low

  * Update dependencies for PyQt5, it is now available on most
    architectures (LP: #1225418).

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 01 Apr 2014 09:35:50 +0400

retext (4.1.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop our desktop file, and use one provided by upstream
    (LP: #1298808).
  * Drop our markdown mime file, and instead recommend shared-mime-info
    which provides the same.
  * Recommend python3-markdown | python3-docutils (closes: #737354).
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 30 Mar 2014 14:15:20 +0400

retext (4.1.1-1) unstable; urgency=low

  * New upstream release.
  * Make use of new setup.py --no-rename option.
  * Add trailing semicolon for MimeType field in retext.desktop.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 01 Nov 2013 12:41:46 +0400

retext (4.1.0-1) unstable; urgency=low

  * New upstream release.
  * x-retext-markdown.xml: Fix codes of Chinese languages, thanks
    Jakub Wilk.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 18 Aug 2013 13:36:16 +0400

retext (4.1~beta1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream beta release.
  * Drop git_fix_monospace_fonts.patch, included in this release.
  * Force .py extension on scripts, needed for byte-compilation.
  * Add Hungarian translation (from Transifex).

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 31 Jul 2013 18:37:15 +0400

retext (4.0.1-2) experimental; urgency=low

  * debian/rules: use lrelease-qt4 instead of lrelease.
  * Build qm files directly in locale, and add locale/*qm to
    extend-diff-ignore.
  * Added Brazilian Portuguese translation (from Transifex).
  * Drop the reStructuredText mime file, instead recommend
    docutils-common (>= 0.10-3~) which ships it now.
  * debian/patches/git_fix_monospace_fonts.patch: work-around
    monospace fonts not working with QtWebKit 2.3 (LP: #1165378).

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 May 2013 12:42:58 +0400

retext (4.0.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * Update debian/watch to work with new tarball names, and exclude
    unstable releases.
  * Use canonical Vcs-Svn URI (fixes Lintian warning).
  * Added Welsh and Ukrainian translations (from Transifex).
  * Support new text/x-rst mime file that will be added in
    docutils-common package soon.
  * Simplify retext.install.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 24 Mar 2013 16:40:17 +0400

retext (4.0.0-1) experimental; urgency=low

  * New upstream stable release
    - Switched to pymarkups for parsing text
    - Added support for MathJax formulas (powered by pymarkups)
    - Switched to python3 by default
    - Split the program by modules and added a setup.py file
    - Now keeps indentation of last line on new lines
    - Tabulation improvements, now uses 4 spaces (instead of tabs)
      by default
    - Added support for per-document style sheets
    - External links are now opened in a web browser by default
    - Added an option to display right margin at given column
      (LP: #1037492)
    - Added an option to restore window geometry on startup
      (closes: #687602)
  * Switch to python3 and dh_python3
  * Bump dh compat level to 9
  * Make retext-wpgen a transitional package, its functionality is now
    provided by retext package
  * Make retext.desktop a valid desktop file
  * Added Catalan and Danish translations (from Transifex)
  * Regenerate .qm files during build
  * Remove deprecated DM-Upload-Allowed flag
  * Refreshed dependencies

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 11 Dec 2012 14:44:54 +0400

retext (3.1.3-1) unstable; urgency=low

  * New upstream bugfix release
  * Add Slovak translation (from Transifex)
  * Bump Standards-Version to 3.9.4, no changes needed

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 20 Sep 2012 19:09:39 +0400

retext (3.1.2-1) unstable; urgency=low

  * New upstream bugfix release
    - Fixed processing of text containing "%\" (closes: #683717)
  * debian/x-retext-markdown.desktop: Remove obsolete .re extension

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 Aug 2012 15:58:01 +0400

retext (3.1.1-1) unstable; urgency=low

  * New upstream bugfix release
  * Updated translations from Transifex

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 02 Aug 2012 13:31:09 +0400

retext (3.1.0-1) unstable; urgency=low

  * New upstream release
    - Suggestions for the spell checker
    - Re-written parsing/markup logic
    - Document-specific highlighting
  * Recommend python-enchant instead of suggesting it

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 07 Jun 2012 14:31:26 +0400

retext (3.0.4-1) unstable; urgency=low

  * New upstream release
    - "Quit" menu action now works correctly
    - Fixed crash when trying to save files to a read-only directory
    - If Qt doesn't know icon theme name, try to load it from gconf
    - Added German translation
  * Updated translations from Transifex
  * Drop git_fix_insert_chars.patch, it's in the new release

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 25 May 2012 13:20:54 +0400

retext (3.0.3-1) unstable; urgency=low

  * New upstream release
    - Now HTML export works correctly
  * Set DM-Upload-Allowed to yes
  * debian/patches/git_fix_insert_chars.patch:
    - Fix typo in insertChars() function (taken from upstream Git)
  * Add Czech, Danish and Polish translations for retext.desktop

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 02 May 2012 21:29:35 +0400

retext (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Fix typo in retext-wpgen description (closes: #666209)
  * Add trailing semicolons to desktop file
  * Add Vcs fields to debian/control
  * First translations import from Transifex

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 03 Apr 2012 18:06:01 +0400

retext (3.0.0-1) unstable; urgency=low

  * New upstream release
    - Python 3 support
    - Improved highlighter
    - Support for export extensions
    - Spell checking improvements
    - WebKit engine improvements
  * Drop all patches, they are in the new upstream version
  * Switch to the latest copyright format and Standards-Version 3.9.3
  * Add PAPT to uploaders

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 11 Mar 2012 18:45:10 +0400

retext (2.1.4-2) unstable; urgency=low

  * debian/patches/git_01_gdata_improvements.patch:
    - Support gdata 2.0.16
    - Remove temporary files correctly
  * debian/patches/git_02_handle_subprocess_errors.patch:
    - Display an error message when subprocess.Popen fails
  * debian/patches/01_recent_files_menu.patch:
    - Use recent files menu instead of a dialog (backported from master)
  * debian/rules: Install the upstream changelog correctly
  * debian/compat, debian/control: Switch to debhelper 8
  * debian/copyright: Update format to fix lintian warning

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 Feb 2012 18:55:46 +0400

retext (2.1.4-1) unstable; urgency=low

  * New upstream bugfix release
    - Backport some fixes from trunk
    - Add Chinese translations
    - Update WpGen to 0.4.3

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 08 Jan 2012 13:39:18 +0400

retext (2.1.3-1) unstable; urgency=low

  * New upstream bugfix release
    - Backport some fixes from trunk
    - Update WpGen to 0.4.2

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 10 Dec 2011 11:49:17 +0400

retext (2.1.2-1) unstable; urgency=low

  * New upstream release
    - Add French and Basque translations
    - Add app styles (aka skins) support
  * Rename x-markdown.xml -> x-retext-markdown.xml,
    x-rst.xml -> x-retext-rst.xml to avoid conflicts with gedit-gmate
  * Move all translations to locale directory

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 29 Oct 2011 11:37:07 +0400

retext (2.1.0-2) unstable; urgency=low

  * retext.desktop:
    - Use %F instead of %U to match XDG specification
    - Don't associate with text/plain

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 04 Oct 2011 20:50:58 +0400

retext (2.1.0-1) unstable; urgency=low

  * New upstream release
    - Ability to use QtWebKit
    - Splitter between edit and preview boxes
    - Support for opening several files via command-line
    - Support for GData 3 API and replacing existing document in Google Docs
    - Link to help page

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 02 Oct 2011 18:29:48 +0400

retext (2.0.0-1) unstable; urgency=low

  * New upstream release
    - Support for reST (reStructuredText),
      with a GUI option to switch between Markdown and reST
    - Text search
    - File auto-save support
    - WpGen 0.4, also with reST support
    - Getting title from ReST title or Markdown metadata
    - Changed the default extension for Markdown to .mkd
    - New "About" dialog
  * New text/x-markdown and text/x-rst mime files
  * debian/control: Update descriptions
  * Update man pages and retext.desktop

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 16 Aug 2011 16:29:18 +0400

retext (1.1.5-1) unstable; urgency=low

  * New release
    - Global CSS styles support
    - Support for changing editor font
    - Bugfixes
  * Include .ts translation sources into the orig tarball
    to match debian policies
  * ReText now comes with its own icon, clean up debian/copyright

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 28 Jul 2011 16:44:02 +0400

retext (1.1.2-2) unstable; urgency=low

  * First upload to debian (closes: #626157)

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 13 Jun 2011 11:57:28 +0400
